# MissingTradeSkillsList
Addon for World Of Warcraft Classic v1.13  
Shows the missing recipes/skills for a tradeskill and where to get them  
Addon only works **all** languages now! (MTSL Options menu still only shown in English only)  

Please **donate** (paypal to thumbkin83@gmail.com) if you want to support this addon!

### Author
Thumbkin (Retail: EU-Burning Steppes, Classic: EU-Pyrewood Village)

### Screenshots
MTSL - Vertical split (Change using options menu)  
![alt text](http://www.thumbkin.be/mtsl/images/mtsl_main.png "Missing TradeSkills List - Main window")  
Account explorer (/mtsl acc or /mtsl account)  
![alt text](http://www.thumbkin.be/mtsl/images/mtsl_account.png "Missing TradeSkills List - Account explorer")  
Character explorer (/mtsl or /mtsl char)  
![alt text](http://www.thumbkin.be/mtsl/images/mtsl_character.png "Missing TradeSkills List - Character explorer")  
Database explorer (/mtsl db or /mtsl database)  
![alt text](http://www.thumbkin.be/mtsl/images/mtsl_database.png "Missing TradeSkills List - Database explorer")  
NPC explorer (/mtsl npc)  
![alt text](http://www.thumbkin.be/mtsl/images/mtsl_npc.png "Missing TradeSkills List - NPC explorer")  
Options menu (/mtsl config or /mtsl options)  
![alt text](http://www.thumbkin.be/mtsl/images/mtsl_options.png "Missing TradeSkills List - Options menu")  
Minimap button & Enhanced tooltip  
![alt text](http://www.thumbkin.be/mtsl/images/mtsl_minimap_tooltips.png "Missing TradeSkills List - Minimap Button & Enhanced tooltip")  

### Key Features

* List of all available skills & recipes with correct data for Alchemy, Blacksmithing, Cooking, Enchanting, Engineering, First Aid, Fishing, Herbalism, Leatherworking, Mining, Poisons, Skinning & Tailoring
* View missing skills for a profession (open tradeskill frame and use MTSL button, except Fishing, Herbalism & Skinning)
* Explorer frames to browse the addon data
  * View all missing skills for the current logged in character per learned profession (/mtsl or /mtsl char)
  * View skills learned on your alts (/mtsl acc)
  * All in-game skills per phase (/mtsl db)
  * All in-game NPCs (that give u access to a skill) to see what they offer (/mtsl npc)
* Options menu to configure addon settings (/mtsl config or /mtsl options)
* Minimap button to quickly access the explorer frames or options menu
* Integration with other addons (separate addon installation needed)
  * TomTom: set waypoints to NPCs by clicking on their names
  * Skillet-Classic
* Enhanced the tooltip to show status of alts on same realm (or faction) for a recipe
* Link items to a channel (Say, Guild, Party, Raid or "Auto") or add item to current chat message
* Ability to drag each MTSL frame around

### Latest version (v1.13.52)

* Updated .toc for Naxx
* Overwritten data patch phase to MAX, you can still reset it with options menu if needed  
* Added options
  * Show source for a recipe in the tooltip
  * Added filter option to show/hide recipes "Alliance only" & "Horde only"
  * Recipes obtainable only by opposite faction are hidden by default (Not in Database explorer)
* Fixed bugs
  * Thistle Tea (Cooking) is now only shown & counted for rogues
  * Learning / unlearning a profession now proper updates character & account explorer frame
  * Changing zone now properly changes "Current zone" in all MTSL frames
* Fixed data
  * Mooncloth Boots (Tailoring) now requires friendly with Timbermaw Hold
  * Drakk Stonehand now resides in The hinterlands
  * Ezekiel Graves was replaced with Gregory Charles as Poison trainer 
    
Full version history is available in VERSION_HISTORY.md inside zip addon
